Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

[Plugin Officiel][Sujet Principal] Harmony Hub

Pour échanger sur les plugins classés en catégorie "Multimédia"
steuk
Timide
Messages : 114
Inscription : 29 nov. 2018, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par steuk » 14 févr. 2019, 10:56

Bonjour à tous,

Je viens également d'acheter le plugin.
L'installation s'est bien passée.
Les dépendances n'étaient pas OK alors j'ai relancé, et maintenant elles sont OK.
Pendant le processus initial je n'avais pas mis l'IP de mon Hub (je n'étais pas chez moi, et je ne connais les IP de tous mes devices par coeur :lol: )

Du coup ce matin, je souhaite faire ma configuration.
Je mets l'IP, je sauvegarde.
Je clique sur "Créer/MAJ les configs". Un popup apparaît et affiche ceci (en noir l'ip de mon hub cachée):
log_harmony.jpg
log_harmony.jpg (21.07 Kio) Consulté 537 fois
Je ferme.
Je retourne dans mon plugin harmony et il n'y a rien à part le message par défaut "vous n'avez pas de télécommande harmony, aller dans...".
Qu'ai-je loupé ? A quel endroit dois-je rentrer mes informations de compte harmony ?

Merci de votre aide
Dernière édition par steuk le 15 févr. 2019, 08:44, édité 1 fois.

steuk
Timide
Messages : 114
Inscription : 29 nov. 2018, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par steuk » 15 févr. 2019, 08:44

Hello, personne n'a d'idée ?
Il y a bien un endroit où il doit demander le compte harmony non ?

Sinon comment on fait une demande d'aide au support ?

Brelok
Timide
Messages : 65
Inscription : 22 août 2016, 13:45

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Brelok » 15 févr. 2019, 08:50

Salut,

@Steuk: le pb a été remonté plus haut de ce topic.
Le plugin fonctionne avec stretch, pas avec jessie. (pour savoir : cat /etc/os-release |grep VERSION= =
Pas besoin de compte harmony a renseigner puisque les interactions se font en local.

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 15 févr. 2019, 09:12

steuk a écrit :
14 févr. 2019, 10:56
Bonjour à tous,

Je viens également d'acheter le plugin.
L'installation s'est bien passée.
Les dépendances n'étaient pas OK alors j'ai relancé, et maintenant elles sont OK.
Pendant le processus initial je n'avais pas mis l'IP de mon Hub (je n'étais pas chez moi, et je ne connais les IP de tous mes devices par coeur :lol: )

Du coup ce matin, je souhaite faire ma configuration.
Je mets l'IP, je sauvegarde.
Je clique sur "Créer/MAJ les configs". Un popup apparaît et affiche ceci (en noir l'ip de mon hub cachée):
log_harmony.jpg

Je ferme.
Je retourne dans mon plugin harmony et il n'y a rien à part le message par défaut "vous n'avez pas de télécommande harmony, aller dans...".
Qu'ai-je loupé ? A quel endroit dois-je rentrer mes informations de compte harmony ?

Merci de votre aide
J'ai exactement le même probleme ! Rien ne se passe, il trouve le hub mais n'importe rien.

steuk
Timide
Messages : 114
Inscription : 29 nov. 2018, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par steuk » 15 févr. 2019, 09:58

Brelok a écrit :
15 févr. 2019, 08:50
Salut,

@Steuk: le pb a été remonté plus haut de ce topic.
Le plugin fonctionne avec stretch, pas avec jessie. (pour savoir : cat /etc/os-release |grep VERSION= =
Pas besoin de compte harmony a renseigner puisque les interactions se font en local.
Merci pour ton retour.
Comme la personne avant moi à un Pi 3b+ et que ça fonctionne, je ne me suis pas trop posé la question (je pensais que ceux sur pi avaient une des 2 debian et ceux sous smart avaient l'autre). Je regarderai ce soir chez moi.
En tous cas il devrait y avoir un avertissement de problème de compatibilité avec procédure à suivre pour savoir si on est "éligible" avant d'acheter.

Si c'est ça, il va falloir que j'aille installer moi-même un python3 et créer des liens symboliques apparemment (je vais relire tout ça), et tout noter dans un coin, tout ce que je déteste en terme de maintenance...

Avatar de l’utilisateur
Matlox
Timide
Messages : 99
Inscription : 20 févr. 2016, 10:36

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Matlox » 15 févr. 2019, 20:46

kevj a écrit :
14 févr. 2019, 10:51
Hello

Je cherche desperement a envoyer une commande dans jeedom en fonction d'une activité harmony mais je seche ... L'idée ça serai que lorsque je lance l'activité "home cinéma" j'ai mon ecran qui se baisse, les volet qui se ferment et les lumiere qui s'éteigne mais impossible de communiquer dans ce sens (Harmony --> Jeedom) J'ai essayer de me procurer le elkato mais je n'arrive pas a me le trouver et le je n'arrive pas é crée le serveur HUE pour simuler de fausse ampoules ... HELP
C’est possible, il suffit de faire un scenario avec déclenchement provoqué

Dans le déclencheur tu met un truc du genre #[Salon][HARM_Modes][Activité Courante]#=="TV"

Quand tu va mettre ton activité TV, ça va déclencher ton scénario. Attention par contre ça peut prendre quelques secondes (jusqu’a quelques minutes).

Pour reduire le delai j’ai créé un scénario qui refresh l’activité courante très souvent.

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 17 févr. 2019, 11:50

Quand je lance la recherche dans la configuration de mon Harmony Hib, j'ai dans les logs http.error ceci:

Code : Tout sélectionner

  File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in <module>
    import client as harmony_client
  File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 9, in <module>
    import websockets
ImportError: No module named 'websockets'
j'ai fait un

pip3 install websocket
pip3 install websocket-client

mais rien n'y fais, est ce qu'a chaque fois que j'installe un truc sur le jeedom smart, je dois le redemarrer ?

glenan
Actif
Messages : 1429
Inscription : 08 mai 2017, 21:38
Localisation : Bretagne

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par glenan » 17 févr. 2019, 12:13

kevj a écrit :Hello

Je cherche desperement a envoyer une commande dans jeedom en fonction d'une activité harmony mais je seche ... L'idée ça serai que lorsque je lance l'activité "home cinéma" j'ai mon ecran qui se baisse, les volet qui se ferment et les lumiere qui s'éteigne mais impossible de communiquer dans ce sens (Harmony --> Jeedom) J'ai essayer de me procurer le elkato mais je n'arrive pas a me le trouver et le je n'arrive pas é crée le serveur HUE pour simuler de fausse ampoules ... HELP
J'ai un système analogue chez moi.

Déclencheurs : IP de la tv & luminosité de la pièce

Si tv en route allumage du bandeau de LEDs fixé sur l'arrière de la tv pour éviter la fatigue oculaire quand on regarde longtemps une tv sur un fond sombre. Le bandeau (reconnu par jeedom) reste modulable via son appli Android.

Si tv en route et luminosité dépassant un seuil : descente volet (car la tv est devant une porte fenêtre large) à 70% pour éviter d'être ébloui par le soleil au dessus de la tv. (en dessous on aime bien voir le jardin et un peu de lumière).

Ça fonctionne correctement mais faut pas s'attendre à une réactivité à la seconde. Il faut le temps que l'adresse IP remonte via le plugin network. Mais ça reste quand même suffisamment réactif.

Pour la luminosité, pareil, il faut attendre quelques secondes un changement de luminosité dans la pièce (capteur de mouvement fibaro) sauf à modifier le cron mais 5 mn suffisent en ce qui me concerne.


Envoyé de mon Samsung Note 8 en utilisant Tapatalk


Jeedom Smart Z-Wave+ & RFXCOM - NAS Syno DS415+
1 BROADLINK MP1 / Gestion aquarium
4 Roller Shutter 2 - 3 Door/Windows Sensor 2 FGDW-002 - 1 Dimmer 2 FGD-212 - Bypass 2 FGB-002 - 2 FGWPE/F Wall Plug Gen5 - M. Sensor FGMS-001 - Oregon RAR502

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 18 févr. 2019, 07:53

steuk a écrit :
14 févr. 2019, 10:56
Bonjour à tous,

Je viens également d'acheter le plugin.
L'installation s'est bien passée.
Les dépendances n'étaient pas OK alors j'ai relancé, et maintenant elles sont OK.
Pendant le processus initial je n'avais pas mis l'IP de mon Hub (je n'étais pas chez moi, et je ne connais les IP de tous mes devices par coeur :lol: )

Du coup ce matin, je souhaite faire ma configuration.
Je mets l'IP, je sauvegarde.
Je clique sur "Créer/MAJ les configs". Un popup apparaît et affiche ceci (en noir l'ip de mon hub cachée):
log_harmony.jpg

Je ferme.
Je retourne dans mon plugin harmony et il n'y a rien à part le message par défaut "vous n'avez pas de télécommande harmony, aller dans...".
Qu'ai-je loupé ? A quel endroit dois-je rentrer mes informations de compte harmony ?

Merci de votre aide
Regarde dans les logs http.error et dis moi ce que tu vois, moi j'ai un crash qui dit ceci:

Code : Tout sélectionner

Traceback (most recent call last):
  File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in <module>
    import client as harmony_client
  File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 9, in <module>
    import websockets
ImportError: No module named 'websockets'
[Mon Feb 18 06:49:25.059427 2019] [:error] [pid 500] [client 194.107.123.100:55298] PHP Warning:  Invalid argument supplied for foreach() in /var/www/html/plugins/harmonyhub/core/class/harmonyhub.class.php on line 83, referer: http://dado.mine.nu:5137/index.php?v=d&m=harmonyhub&p=harmonyhub
[Mon Feb 18 06:49:25.059821 2019] [:error] [pid 500] [client 194.107.123.100:55298] PHP Warning:  Invalid argument supplied for foreach() in /var/www/html/plugins/harmonyhub/core/class/harmonyhub.class.php on line 87, referer: http://dado.mine.nu:5137/index.php?v=d&m=harmonyhub&p=harmonyhub

steuk
Timide
Messages : 114
Inscription : 29 nov. 2018, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par steuk » 18 févr. 2019, 11:57

digital3d a écrit :
Regarde dans les logs http.error et dis moi ce que tu vois, moi j'ai un crash qui dit ceci: ...
Merci pour ton retour.

Mauvais élève que je suis, je n'ai pas pris le temps de vérifié ma version de Debian.

Voici mes logs d'erreur apache :

Code : Tout sélectionner

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 924, in _wrap_create_connection
await self._loop.create_connection(*args, **kwargs))
File "/usr/lib/python3.5/asyncio/base_events.py", line 775, in create_connection
raise exceptions[0]
File "/usr/lib/python3.5/asyncio/base_events.py", line 762, in create_connection
yield from self.sock_connect(sock, address)
File "/usr/lib/python3.5/asyncio/selector_events.py", line 451, in sock_connect
return (yield from fut)
File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
yield self  # This tells Task to wait for completion.
File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/selector_events.py", line 481, in _sock_connect_cb
raise OSError(err, 'Connect call failed %s' % (address,))
OSError: [Errno 113] Connect call failed ('XXX.XXX.XXX.XXX', 8088)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 641, in <module>
main()
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 631, in main
sys.exit(args.func(args))
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 340, in show_config
client = get_client(args.harmony_ip)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 56, in get_client
return run_in_loop_now('get_client', func)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 34, in run_in_loop_now
loop.run_until_complete(func_task)
File "/usr/lib/python3.5/asyncio/base_events.py", line 466, in run_until_complete
return future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/tasks.py", line 241, in _step
result = coro.throw(exc)
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 516, in create_and_connect_client
connected = await client.connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 141, in connect
await self._perform_connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 125, in _perform_connect
await self.retrieve_hub_info()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 102, in retrieve_hub_info
url, json=json_request, headers=headers) as response:
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 1005, in __aenter__
self._resp = await self._coro
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 476, in _request
timeout=real_timeout
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 522, in connect
proto = await self._create_connection(req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 854, in _create_connection
req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 992, in _create_direct_connection
raise last_exc
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 974, in _create_direct_connection
req=req, client_error=client_error)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 931, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host XXX.XXX.XXX.XXX:8088 ssl:None [Connect call failed ('XXX.XXX.XXX.XXX', 8088)]
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 924, in _wrap_create_connection
await self._loop.create_connection(*args, **kwargs))
File "/usr/lib/python3.5/asyncio/base_events.py", line 775, in create_connection
raise exceptions[0]
File "/usr/lib/python3.5/asyncio/base_events.py", line 762, in create_connection
yield from self.sock_connect(sock, address)
File "/usr/lib/python3.5/asyncio/selector_events.py", line 451, in sock_connect
return (yield from fut)
File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
yield self  # This tells Task to wait for completion.
File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/selector_events.py", line 481, in _sock_connect_cb
raise OSError(err, 'Connect call failed %s' % (address,))
OSError: [Errno 113] Connect call failed ('XXX.XXX.XXX.XXX', 8088)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 641, in <module>
main()
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 631, in main
sys.exit(args.func(args))
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 340, in show_config
client = get_client(args.harmony_ip)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 56, in get_client
return run_in_loop_now('get_client', func)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 34, in run_in_loop_now
loop.run_until_complete(func_task)
File "/usr/lib/python3.5/asyncio/base_events.py", line 466, in run_until_complete
return future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/tasks.py", line 241, in _step
result = coro.throw(exc)
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 516, in create_and_connect_client
connected = await client.connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 141, in connect
await self._perform_connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 125, in _perform_connect
await self.retrieve_hub_info()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 102, in retrieve_hub_info
url, json=json_request, headers=headers) as response:
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 1005, in __aenter__
self._resp = await self._coro
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 476, in _request
timeout=real_timeout
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 522, in connect
proto = await self._create_connection(req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 854, in _create_connection
req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 992, in _create_direct_connection
raise last_exc
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 974, in _create_direct_connection
req=req, client_error=client_error)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 931, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host XXX.XXX.XXX.XXX:8088 ssl:None [Connect call failed ('XXX.XXX.XXX.XXX', 8088)]
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 924, in _wrap_create_connection
await self._loop.create_connection(*args, **kwargs))
File "/usr/lib/python3.5/asyncio/base_events.py", line 775, in create_connection
raise exceptions[0]
File "/usr/lib/python3.5/asyncio/base_events.py", line 762, in create_connection
yield from self.sock_connect(sock, address)
File "/usr/lib/python3.5/asyncio/selector_events.py", line 451, in sock_connect
return (yield from fut)
File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
yield self  # This tells Task to wait for completion.
File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/selector_events.py", line 481, in _sock_connect_cb
raise OSError(err, 'Connect call failed %s' % (address,))
OSError: [Errno 113] Connect call failed ('XXX.XXX.XXX.XXX', 8088)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 641, in <module>
main()
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 631, in main
sys.exit(args.func(args))
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 340, in show_config
client = get_client(args.harmony_ip)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 56, in get_client
return run_in_loop_now('get_client', func)
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 34, in run_in_loop_now
loop.run_until_complete(func_task)
File "/usr/lib/python3.5/asyncio/base_events.py", line 466, in run_until_complete
return future.result()
File "/usr/lib/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/usr/lib/python3.5/asyncio/tasks.py", line 241, in _step
result = coro.throw(exc)
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 516, in create_and_connect_client
connected = await client.connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 141, in connect
await self._perform_connect()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 125, in _perform_connect
await self.retrieve_hub_info()
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 102, in retrieve_hub_info
url, json=json_request, headers=headers) as response:
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 1005, in __aenter__
self._resp = await self._coro
File "/usr/local/lib/python3.5/dist-packages/aiohttp/client.py", line 476, in _request
timeout=real_timeout
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 522, in connect
proto = await self._create_connection(req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 854, in _create_connection
req, traces, timeout)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 992, in _create_direct_connection
raise last_exc
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 974, in _create_direct_connection
req=req, client_error=client_error)
File "/usr/local/lib/python3.5/dist-packages/aiohttp/connector.py", line 931, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host XXX.XXX.XXX.XXX:8088 ssl:None [Connect call failed ('XXX.XXX.XXX.XXX', 8088)]
Ca a bien l'air de foirer :lol:
J'ai volontairement caché l'IP dans les logs (des fois que certains pensent que j'ai mis XXX.XXX.XXX.XXX dans ma conf' ;)
Après je ne comprends pas les erreurs...

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 18 févr. 2019, 13:44

@steuk: ouf c'est grave docteur ! Là je ne sais pas t'aider, ca dépasse mes compétences, je cherche toujours une solution de mon côté pour le problème cité plus haut mais je n'ai pas ces erreurs.

steuk
Timide
Messages : 114
Inscription : 29 nov. 2018, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par steuk » 18 févr. 2019, 15:13

digital3d a écrit :
18 févr. 2019, 13:44
@steuk: ouf c'est grave docteur ! Là je ne sais pas t'aider, ca dépasse mes compétences, je cherche toujours une solution de mon côté pour le problème cité plus haut mais je n'ai pas ces erreurs.
Pendant 2 minutes j'ai cru que t'allais être mon héros, et là tu réduis mes espoirs à néant, bonjour l'ascenseur émotionnel :lol:

NicoLeOca
Timide
Messages : 29
Inscription : 08 oct. 2015, 21:21

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par NicoLeOca » 19 févr. 2019, 05:54

Bonjour,

Logitech a diffusé une mise à jour qui rouvre la porte de l'API locale.
Il faut l'ouvrir nous même dans l'appli en acceptant de perdre la garantie (ce que je trouve moyen de leur part).
https://community.logitech.com/s/questi ... 08OsX3CSAV

Je l'ai faite, accepté leurs conditions
mais là, ce plugin ne retrouve plus la configuration sur le hub... :evil:

Je n'ai déjà plus de cheveux sinon je les aurais bien arrachés :)

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 19 févr. 2019, 07:40

Moi le plugin n'arrive à rien faire, ni a rien trouver malgré l'acceptation à travers l'app Mobile XMPP.

Code : Tout sélectionner

[2019-02-19 07:38:48][ALERT] : ########Recherche de la config en cours########
[2019-02-19 07:38:49][ALERT] : ######### Dispositifs trouvés 192.168.2.113
[2019-02-19 07:38:49][ALERT] : ######### Activités trouvées 192.168.2.113
[2019-02-19 07:38:49][ALERT] : #### Fin de la recherche 192.168.2.113
Et puis plus rien, et si je vais voir dans les logs http.error, j'ai ceci:

Code : Tout sélectionner

Traceback (most recent call last):
  File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in <module>
    import client as harmony_client
  File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 9, in <module>
    import websockets
ImportError: No module named 'websockets'
[Tue Feb 19 06:38:49.059813 2019] [:error] [pid 498] [client 192.168.2.50:12912] PHP Warning:  Invalid argument supplied for foreach() in /var/www/html/plugins/harmonyhub/core/class/harmonyhub.class.php on line 83, referer: http://192.168.2.107/index.php?v=d&m=harmonyhub&p=harmonyhub
[Tue Feb 19 06:38:49.060081 2019] [:error] [pid 498] [client 192.168.2.50:12912] PHP Warning:  Invalid argument supplied for foreach() in /var/www/html/plugins/harmonyhub/core/class/harmonyhub.class.php on line 87, referer: http://192.168.2.107/index.php?v=d&m=harmonyhub&p=harmonyhub

GuillaumeDieppe
Actif
Messages : 630
Inscription : 27 janv. 2017, 10:53

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par GuillaumeDieppe » 19 févr. 2019, 09:05

Je conseille à tous ceux pour qui cela fonctionne de ne rien tenter, je me suis fait confirmer par l'équipe jeedom qu'il n'y avait plus de ressource disponible pour gérer le support de ce plugin pour le moment donc tout ticket ouvert sera comme moi non traité (depuis 17/01/2019)
Dernière édition par GuillaumeDieppe le 19 févr. 2019, 11:19, édité 1 fois.
Jeedom Smart
Protocoles : Z-wave, Zigbee, Wifi et IR
Objets : Qubinos, Fibaros, Xiaomis

mortyre
Actif
Messages : 1229
Inscription : 17 mai 2016, 16:51

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par mortyre » 19 févr. 2019, 11:07

oui et surtout sur le Fil Logitech il y a des problèmes avec ce nouveau Firmware :

New FW 4.15.250 is very unstable for me. How can I downgrade to previous versions?

Since the upgrade, I am not able to connect via my android app (v5.6) to the hub configuration... and so I am not able to enable XMPP. The error shown on the app is E3600. I'm still able to change activity etc
PROD: NAS1815+ VMM Strech 9.11 / Jeedom 3.3.31 / MariaDB 10.1.26 / PHP 7.0.33
DEV: DIY Odroid C2 16gb Strech 9.9 / Jeedom 4.x Alpha / MariaDB 10.1.38 / PHP 7.0.33

coxforce
Timide
Messages : 192
Inscription : 26 juin 2015, 17:21
Localisation : Blodelsheim (68)

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par coxforce » 19 févr. 2019, 14:41

GuillaumeDieppe a écrit :
19 févr. 2019, 09:05
Je conseille à tous ceux pour qui cela fonctionne de ne rien tenter, je me suis fait confirmer par l'équipe jeedom qu'il n'y avait plus de ressource disponible pour gérer le support de ce plugin pour le moment donc tout ticket ouvert sera comme moi non traité (depuis 17/01/2019)
Merci pour l'info.
Il continue donc d'être payant à 4 euros, sans avertissement ni màj de doc...
HP Proliant G8 sous esxi. VM Jeedom, et Xpenology
Jeedom link Raspberry B.
IPX800, Eco-device
Imperihome sur tablette murale dédiée
1wire
Broadlink (IF)
RFlink sondes Oregon

digital3d
Timide
Messages : 64
Inscription : 25 mars 2016, 09:34

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par digital3d » 19 févr. 2019, 15:05

Il continue donc d'être payant à 4 euros, sans avertissement ni màj de doc...
C'est bien vrai ca ? Moi je l'ai acheté il y a quelques jours ;(

Heracles44
Timide
Messages : 450
Inscription : 23 juil. 2018, 13:06

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Heracles44 » 19 févr. 2019, 17:56

Et pourquoi laissez vous donc le plugin payant s'il n'est plus suivi?
Depuis une semaine il marchait bien et là je rentre et il ne marche plus! Les dépendances ne veulent pas s'installer au delà de 50%.
Je pense que je vais prendre un Broadlink RM mini en plus...

cairve
Timide
Messages : 60
Inscription : 18 déc. 2017, 11:39

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par cairve » 19 févr. 2019, 18:25

j'ai activé le support du xmpp dans les options de l'application sur android, et ca n'a rien changé, ca ne marche toujours pas ....
Jeedom Z83 Debian 9
clé zigate 3.0f (40), clé zwave (25), clé 3G, 2 xiaomi Mi Home (30), Philips Hue (2), espeasy wifi (12), wifilight2 (2), blea (local + 1 déporté sur RPI2) + 3 Dafang custom
Awtrix 2.0, Logitech Harmony Elite
70 scénarios

Répondre

Revenir vers « [Catégorie] Multimédia »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité